/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { BaseComponent, IBaseComponent } from '../core/base/base-component';
export interface IFloatingActionButtonComponent extends IBaseComponent {
    exited: boolean;
    mini: boolean;
    extended: boolean;
}
declare global {
    interface HTMLElementTagNameMap {
        'forge-fab': IFloatingActionButtonComponent;
    }
}
/**
 * The custom element class behind the `<forge-fab>` element.
 *
 * @tag forge-fab
 */
export declare class FloatingActionButton extends BaseComponent implements IFloatingActionButtonComponent {
    static get observedAttributes(): string[];
    private _rippleInstance;
    private _isExtended;
    private _isMini;
    private _isExited;
    private _buttonElement;
    constructor();
    connectedCallback(): void;
    disconnectedCallback(): void;
    attributeChangedCallback(name: string, oldValue: string, newValue: string): void;
    private _initialize;
    private _sync;
    /** Gets/sets the exited state. */
    set exited(value: boolean);
    get exited(): boolean;
    /** Gets/sets the mini state. */
    set mini(value: boolean);
    get mini(): boolean;
    /** Gets/sets the extended state. */
    set extended(value: boolean);
    get extended(): boolean;
}
